/*
*     ___                       ____               __
*    / _ \___ _    _____ ____  /  _/__  ___  __ __/ /_
*   / ___/ _ \ |/|/ / -_) __/ _/ // _ \/ _ \/ // / __/
*  /_/   \___/__,__/\__/_/   /___/_//_/ .__/\_,_/\__/
*                                    /_/
*
*   Original Code by John Garrison
*   Written July 31 1999
*   To be released under the LGPL
*
*   PowerInput initialization and misc. routines
*
*   See LICENSE.TXT for more LGPL info
*/

#include "powerinput.h"

SDL_Event Event;
int MOUSE_X, MOUSE_Y;

////////////////////////////////////////
//          	MISC ROUTINES          //
////////////////////////////////////////

/* Wait for an event */
int PI_WaitEvent()
{
  SDL_WaitEvent(&Event);

  return 0;
}



/* Poll for an event */
int PI_PollEvent()
{
  return SDL_PollEvent(&Event);
}
